TikTok Collection Videos API

Scrapes the videos in a public TikTok collection. Pass cursor to get more videos.

1 creditper request
GET
/v1/tiktok/collection/videos
curl "https://api.scrapecreators.com/v1/tiktok/collection/videos" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "collection_id": "6974449062670027522",
  "user_id": "6896921279983977474",
  "has_more": false,
  "max_cursor": 4,
  "status_code": 0,
  "videos": [
    {
      "aweme_id": "6942902219134012673",
      "desc": "ЧАСТЬ 3. Первая любовь ❗️FLASH WARNING❗️",
      "create_time": 1616520397,
      "region": "RU",
      "author": {
        "uid": "6896921279983977474",
        "unique_id": "photalina",
        "nickname": "Alina Moldacheva"
      },
      "statistics": {
        "aweme_id": "6942902219134012673",
        "collect_count": 257,
        "comment_count": 66,
        "digg_count": 21488,
        "play_count": 174220,
        "share_count": 12
      },
      "video": {
        "duration": 55633,
        "height": 960,
        "width": 540
      },
      "share_info": {
        "share_url": "https://www.tiktok.com/@photalina/video/6942902219134012673"
      }
    }
  ]
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

Public TikTok collection URL

Example:
https://www.tiktok.com/@likanikaalinika/playlist/%F0%9F%96%A4%D0%A7%D0%B0%D1%81%D1%82%D0%B8-%D1%82%D0%B5%D0%BB%D0%B0%F0%9F%96%A4-6974449062670027522
cursor
string

Cursor to get more videos. Use max_cursor from the previous response.

Example:
4